package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsMaterialsProperty;

/**
 * 物资属性项Service接口
 *
 * @author cgj
 * @date 2025-02-05
 */
public interface IIsMaterialsPropertyService extends IService<IsMaterialsProperty> {

    Page<IsMaterialsProperty> getIsMaterialsPropertyPage(Page<IsMaterialsProperty> page, IsMaterialsProperty isMaterialsProperty);

    Boolean deleteIsMaterialsPropertyByPropertyIds(String propertyIds);

    Boolean insertIsMaterialsProperty(IsMaterialsProperty isMaterialsProperty);

    Boolean updateIsMaterialsProperty(IsMaterialsProperty isMaterialsProperty);

}
